cordova-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Joe Bowser <bows...@gmail.com>
Subject Re: Deprecation Wars: ICS vs Gingerbread
Date Thu, 08 Jan 2015 18:29:50 GMT
So, since nobody other than me was testing on Gingerbread, and since the
tests don't even run on Gingerbread, I think we should stop supporting
Gingerbread after 3.7.0.  The reason for this is because I have no way to
vote or verify that this release is actually good for what we support.
It's easier for us to just come clean and say "No, we're not supporting
your broken garbage phone, get a new one" than for us to pretend that we
can support it any longer.

I'm sure that people who need 2.3.x will probably just keep maintaining the
3.x branch like they keep maintaining the 2.x branch that just won't die.

On Thu Jan 08 2015 at 9:37:35 AM Joe Bowser <bowserj@gmail.com> wrote:

> Pluggable WebViews will be supported on 2.3, but the only WebView that
> kind-of works on Android 2.3 right now is MozillaWebView.  We did throw the
> people stuck supporting 2.3 a bone with the work we did with the
> MozillaWebView work, but given the unstable state of the GeckoView itself,
> I don't know if it'd ever be ready for production. (Scripts are failing due
> to changes in Mozilla infrastructure, and we're right now relying on
> nightlies) :(
> On Thu Jan 08 2015 at 9:23:17 AM julio cesar sanchez <
> jcesarmobile@gmail.com> wrote:
>
>> The other day I saw a thread of a developer trying to support android 2.2,
>> and told me he was from argentina, was building an app just for argentina
>> and 2.2 had a big market share there.
>> I'm from Spain and 2.3 devices are still sold here.
>>
>> I just tell this to add another point of view, but I'm OK with the 2.3
>> deprecation, some of the new features like the plugable webviews won't be
>> supported on 2.3 anyway, right?
>>
>

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message